Subject: bug#31446: 26.1; sql-interactive-mode buffer naming is broken

From: Michael Mauger <[email-masked]>
Date: Sat, 02 Jun 2018 19:47:17 -0400

‐‐‐‐‐‐‐ Original Message ‐‐‐‐‐‐‐
On May 30, 2018 12:43 PM, Eli Zaretskii <[email-masked]> wrote:
> > Date: Tue, 29 May 2018 22:51:35 -0400
> > From: Michael Mauger [email-masked]
> > 
> > I expect to make an initial commit to master in a couple of days of sql.el.
> >
> > That will be followed up with a commit of improved DOCSTRINGs, tests,
> > and possibly an Info file.
> > 
> 
> Thanks.

I have made a commit that fixes the buffer name handling. This code was 
intended for 26.1 but obviously missed that. Please review it and let me
know what you find.

Outstanding work:
* There is a bug around locating sql-interactive buffers from a sql buffer; I 
   know how to fix it, just need to further test the code.
* Rewrite the DOCSTRINGs to reflect the improved logic
* Add code tests to limit regressions like this in the future
* Add a Info file documenting sql-mode and the intended behavior.

Thanks and sorry for the bug.
​--
[email-masked] // FSF and EFF member // GNU Emacs sql.el maintainer​